Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-24772

Upgrade fails on setting up enrollments for users with moodle/course:participate capability if no enrollments exist

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.0
    • Fix Version/s: 2.0
    • Component/s: Installation
    • Labels:
      None
    • Environment:
      Linux, PSQL, 2.0 RC1 (Build: 20100926)
    • Database:
      PostgreSQL
    • Affected Branches:
      MOODLE_20_STABLE
    • Fixed Branches:
      MOODLE_20_STABLE

      Description

      Current environment being upgraded doesn't have any enrollments and is failing on this check :-

      Default exception handler: Coding error detected, it must be fixed by a programmer: moodle_database::get_in_or_equal() does not accept empty arrays Debug:~

      • line 563 of /lib/dml/moodle_database.php: coding_exception thrown
      • line 4292 of /lib/db/upgrade.php: call to moodle_database->get_in_or_equal()
      • line 1309 of /lib/upgradelib.php: call to xmldb_main_upgrade()
      • line 106 of /admin/cli/upgrade.php: call to upgrade_core()

        Attachments

          Activity

            People

            Assignee:
            skodak Petr Skoda
            Reporter:
            tlock Tim Lock
            Tester:
            Nobody
            Participants:
            Component watchers:
            Matteo Scaramuccia, Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Fix Release Date:
              24/Nov/10